;;; tenview.lsp (version 8) ;;; ;;; Copyright (C) 1998,1999,2001 by Charles Robbins ;;; ;;; Charles Robbins provides this code for your use. Use the code ;;; to your benifit and at your own risk. Charles Robbins does not ;;; warrant that the code is error free in your application. (alert "tenview.lsp (version 8) - Copyright (C) 1998,1999,2001 by Charles Robbins. Type Tenview to start") (defun c:tenview (/) ;;; Program setup (command "layer" "n" "hidden" "c" "31" "hidden" "lt" "hidden" "hidden" "") (command "layer" "n" "center" "c" "cyan" "center" "lt" "center" "center" "") ;;; Osnap setup (setq osm (getvar "osmode")) (setvar "osmode" 23) ;;; View setup (setq top (list 0 0 1)) (setq bottom (list 0 0 -1)) (setq left (list -1 0 0)) (setq right (list 1 0 0)) (setq front (list 0 -1 0)) (setq back (list 0 1 0)) (setq sw (list -1 -1 1)) (setq se (list 1 -1 1)) (setq ne (list 1 1 1)) (setq nw (list -1 1 1)) ;;; Program loading (setq version (getvar "acadver")) (if (= version "14.0")(progn (setq proglist (arx)) (setq q1 (member "solids.arx" proglist)) (if (= q1 nil) (arxload "acsolids")) ) ) (if (/= version "14.0")(progn (setq proglist (arx)) (setq q1 (member "acsolids.arx" proglist)) (if (= q1 nil) (arxload "acsolids")) ) ) ;;; Movement of solid to zero (command "vpoint" se) (setq sp (getpoint "n/Pick your insertion point...")) (setq ep (list 0.0 0.0 0.0)) (setq ssx (ssget "X")) (command "move" ssx "" sp ep) (setvar "osmode" 0) ;;; Drawing setup (command "layer" "n" "a" "") (command "tilemode" 0) (setq pt1 (list 0 0)) (setq pt2 (list 50 38)) (command "mview" pt1 pt2) (command "zoom" "e") (command "mspace") ;;; Top (command "vpoint" top) (command "ucs" "v") (setq ss (ssget "X")) (autoarxload "solids" '("solprof")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "top" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Bottom (command "vpoint" bottom) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "bottom" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Left (command "vpoint" left) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "left" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Right (command "vpoint" right) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "right" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Front (command "vpoint" front) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "front" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Back (command "vpoint" back) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "back" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Southwest Isometric (command "vpoint" sw) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "sw" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Southeast Isometric (command "vpoint" se) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "se" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Northeast Isometric (command "vpoint" ne) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "ne" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Northwest Isometric (command "vpoint" nw) (command "ucs" "v") (setq ss (ssget "X")) (c:solprof ss y y y) (command "layer" "s" "a" "") (command "layer" "f" "0" "") (command "block" "nw" "0,0" "all" "") (command "layer" "t" "0" "") ;;; Top (command "vpoint" top) (command "ucs" "v") ;;; End of program (command "pspace") (command "erase" "all" "") (setvar "osmode" osm) )